Summary:	xclipboard application - X clipboard client
Summary(pl.UTF-8):	Aplikacja xclipboard - klient schowka X
Name:		xorg-app-xclipboard
Version:	1.1.4
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xclipboard-%{version}.tar.xz
# Source0-md5:	859712d44bbc024a0fb21efc703d8ce0
Source1:	xclipboard.desktop
Source2:	xclipboard.png
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.1
BuildRequires:	xorg-lib-libxkbfile-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Requires:	xorg-lib-libXt >= 1.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xclipboard application is used to collect and display text selections
that are sent to the CLIPBOARD by other clients. It is typically used
to save CLIPBOARD selections for later use. It stores each CLIPBOARD
selection as a separate string, each of which can be selected.

%description -l pl.UTF-8
Aplikacja xclipboard służy do zbierania i wyświetlania zaznaczeń
tekstu wysyłanych przez innych klientów do schowka (CLIPBOARD). Zwykle
jest używana do zapisywania zaznaczeń schowka w celu późniejszego
użycia. Zapisuje każde zaznaczenie jako osobny łańcuch znaków, z
których każdy może być wybrany.

%prep
%setup -q -n xclipboard-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/xclipboard.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/xclipboard.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xclipboard
%attr(755,root,root) %{_bindir}/xcutsel
%{_datadir}/X11/app-defaults/XClipboard
%{_desktopdir}/xclipboard.desktop
%{_pixmapsdir}/xclipboard.png
%{_mandir}/man1/xclipboard.1*
%{_mandir}/man1/xcutsel.1*
%changelog
* Tue Jul 12 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xclipboard.git;a=log;h=master

* Tue Jul 12 2022 Jakub Bogusz <qboosh@pld-linux.org> 40ae96f
- updated to 1.1.4

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 6abfabb
- x32 rebuild
- release 2 (by relup.sh)

* Tue Sep 10 2013 Jakub Bogusz <qboosh@pld-linux.org> cc08ff5
- fixed build without xman suffix

* Tue Sep 10 2013 Jakub Bogusz <qboosh@pld-linux.org> a2a2e40
- updated to 1.1.3

* Sun Feb 12 2012 Jakub Bogusz <qboosh@pld-linux.org> 20e3bef
- updated libXt version

* Sat Feb 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 20ab458
- up to 1.1.1

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 48d8c21
- dropped pre-cvs changelog

* Wed Nov 10 2010 Jakub Bogusz <qboosh@pld-linux.org> 23f5cc2
- updated to 1.1.1

* Sun Oct 18 2009 Jakub Bogusz <qboosh@pld-linux.org> 9389cd5
- updated to 1.1.0
- removed obsolete xaw patch
- real descriptions

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 000939f
- rel 3; fix xaw related build

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 77c8b5c
- new

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f47ecc7
- release 2

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 97c1053
- removed duplicate Comment[fi]

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 1fde4cd
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3db03b6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fd51f7f
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 14d74a5
- use individual dir, more verbose files, release 1

* Tue Feb 07 2006 Jakub Bogusz <qboosh@pld-linux.org> a1cd052
- merged xclipboard.{desktop,png} from monolith

* Mon Jan 16 2006 Jakub Bogusz <qboosh@pld-linux.org> cb3c8db
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 7a2fb04
- 1.0.1 (X11R7.0 release)

